#!/usr/bin/env python3.6


from Quagga import Quagga
from Quagga import EmailDirectoryReader, ListReaderRawEmailTexts, ListReaderExtractedBodies, TempQuaggaReader

import os.path
import sys
import argparse


def get_relative_filename(file):
    dirname = os.path.dirname(__file__)
    filename = os.path.join(dirname, file)
    return filename

if __name__ == "__main__":
    parser = argparse.ArgumentParser()
    parser.add_argument("--input_dir", type=str, help="Dir to read raw emails from")

    parser.add_argument("--output_dir", type=str, help="Dir to write output to")

    args = parser.parse_args()
    print("Starting quagga...")
    print(args)

    quagga = Quagga(EmailDirectoryReader(args.input_dir), args.output_dir)

    quagga.store_parsed(args.output_dir)
